<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EscherSimpleProperty (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EscherSimpleProperty (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherSimpleProperty.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherShapePathProperty.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/EscherSpgrRecord.html" title="class in org.apache.poi.ddf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/EscherSimpleProperty.html" target="_top">Frames</a></li>
        <li><a href="EscherSimpleProperty.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ddf</div>
    <h2 title="Class EscherSimpleProperty" class="title">Class EscherSimpleProperty</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../org/apache/poi/ddf/EscherProperty.html" title="class in org.apache.poi.ddf">org.apache.poi.ddf.EscherProperty</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ddf.EscherSimpleProperty</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../org/apache/poi/ddf/EscherBoolProperty.html"
                           title="class in org.apache.poi.ddf">EscherBoolProperty</a>, <a
                            href="../../../../org/apache/poi/ddf/EscherRGBProperty.html"
                            title="class in org.apache.poi.ddf">EscherRGBProperty</a>, <a
                            href="../../../../org/apache/poi/ddf/EscherShapePathProperty.html"
                            title="class in org.apache.poi.ddf">EscherShapePathProperty</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">EscherSimpleProperty</span>
extends <a href="../../../../org/apache/poi/ddf/EscherProperty.html"
           title="class in org.apache.poi.ddf">EscherProperty</a></pre>
                <div class="block">A simple property is of fixed length and as a property number in addition
                    to a 32-bit value. Properties that can't be stored in only 32-bits are
                    stored as EscherComplexProperty objects.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html#EscherSimpleProperty-short-boolean-boolean-int-">EscherSimpleProperty</a></span>(short&nbsp;propertyNumber,
                                    boolean&nbsp;isComplex,
                                    boolean&nbsp;isBlipId,
                                    int&nbsp;propertyValue)</code>
                                    <div class="block">Constructs a new escher property.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html#EscherSimpleProperty-short-int-">EscherSimpleProperty</a></span>(short&nbsp;id,
                                    int&nbsp;propertyValue)</code>
                                    <div class="block">The id is distinct from the actual property number.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>
                                    <div class="block">Returns true if one escher property is equal to another.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html#getPropertyValue--">getPropertyValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html#hashCode--">hashCode</a></span>()</code>
                                    <div class="block">Returns a hashcode so that this object can be stored in
                                        collections that
                                        require the use of such things.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html#serializeComplexPart-byte:A-int-">serializeComplexPart</a></span>(byte[]&nbsp;data,
                                    int&nbsp;pos)</code>
                                    <div class="block">Escher properties consist of a simple fixed length part and a
                                        complex variable length part.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html#serializeSimplePart-byte:A-int-">serializeSimplePart</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>
                                    <div class="block">Serialize the simple part of the escher record.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ddf/EscherSimpleProperty.html#toXml-java.lang.String-">toXml</a></span>(java.lang.String&nbsp;tab)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ddf.EscherProperty">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ddf.<a
                                        href="../../../../org/apache/poi/ddf/EscherProperty.html"
                                        title="class in org.apache.poi.ddf">EscherProperty</a></h3>
                                <code><a href="../../../../org/apache/poi/ddf/EscherProperty.html#getId--">getId</a>, <a
                                        href="../../../../org/apache/poi/ddf/EscherProperty.html#getName--">getName</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherProperty.html#getPropertyNumber--">getPropertyNumber</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherProperty.html#getPropertySize--">getPropertySize</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherProperty.html#isBlipId--">isBlipId</a>,
                                    <a href="../../../../org/apache/poi/ddf/EscherProperty.html#isComplex--">isComplex</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EscherSimpleProperty-short-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EscherSimpleProperty</h4>
                                <pre>public&nbsp;EscherSimpleProperty(short&nbsp;id,
                            int&nbsp;propertyValue)</pre>
                                <div class="block">The id is distinct from the actual property number. The id includes
                                    the property number the blip id
                                    flag and an indicator whether the property is complex or not.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>id</code> - the property id</dd>
                                    <dd><code>propertyValue</code> - the property value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="EscherSimpleProperty-short-boolean-boolean-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EscherSimpleProperty</h4>
                                <pre>public&nbsp;EscherSimpleProperty(short&nbsp;propertyNumber,
                            boolean&nbsp;isComplex,
                            boolean&nbsp;isBlipId,
                            int&nbsp;propertyValue)</pre>
                                <div class="block">Constructs a new escher property. The three parameters are combined
                                    to form a property id.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>propertyNumber</code> - the property number</dd>
                                    <dd><code>isComplex</code> - true, if its a complex property</dd>
                                    <dd><code>isBlipId</code> - true, if its a blip</dd>
                                    <dd><code>propertyValue</code> - the property value</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="serializeSimplePart-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serializeSimplePart</h4>
                                <pre>public&nbsp;int&nbsp;serializeSimplePart(byte[]&nbsp;data,
                               int&nbsp;offset)</pre>
                                <div class="block">Serialize the simple part of the escher record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherProperty.html#serializeSimplePart-byte:A-int-">serializeSimplePart</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherProperty.html"
                                                            title="class in org.apache.poi.ddf">EscherProperty</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the buffer to write to</dd>
                                    <dd><code>offset</code> - the starting position</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the number of bytes serialized.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serializeComplexPart-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serializeComplexPart</h4>
                                <pre>public&nbsp;int&nbsp;serializeComplexPart(byte[]&nbsp;data,
                                int&nbsp;pos)</pre>
                                <div class="block">Escher properties consist of a simple fixed length part and a complex
                                    variable length part.
                                    The fixed length part is serialized first.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherProperty.html#serializeComplexPart-byte:A-int-">serializeComplexPart</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherProperty.html"
                                                            title="class in org.apache.poi.ddf">EscherProperty</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the buffer to write to</dd>
                                    <dd><code>pos</code> - the starting position</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the length of the part</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPropertyValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPropertyValue</h4>
                                <pre>public&nbsp;int&nbsp;getPropertyValue()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Return the 32 bit value of this property.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
                                <div class="block">Returns true if one escher property is equal to another.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <div class="block">Returns a hashcode so that this object can be stored in collections
                                    that
                                    require the use of such things.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../org/apache/poi/ddf/EscherProperty.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherProperty.html"
                                                            title="class in org.apache.poi.ddf">EscherProperty</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the string representation of this property.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toXml-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toXml</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toXml(java.lang.String&nbsp;tab)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/ddf/EscherProperty.html#toXml-java.lang.String-">toXml</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../org/apache/poi/ddf/EscherProperty.html"
                                                            title="class in org.apache.poi.ddf">EscherProperty</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EscherSimpleProperty.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ddf/EscherShapePathProperty.html"
               title="class in org.apache.poi.ddf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ddf/EscherSpgrRecord.html" title="class in org.apache.poi.ddf"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ddf/EscherSimpleProperty.html" target="_top">Frames</a></li>
        <li><a href="EscherSimpleProperty.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
